-- =====================================================================
-- Sistema    : Comercial Comissaria
-- Programador: Jos Sant`Anna e Leonardo Monteiro
-- Data       : ??/08/2002
-- Descrio  : Rotina para calcular os nutrientes dos manuais.
-- =====================================================================
CREATE OR REPLACE PROCEDURE CALC_NUTRI_MAN(
P_NRSEQNUTREC IN TRABNUTRIREC.NRSEQNUTREC%TYPE,
P_CDFILIAL    IN FILIAL.CDFILIAL%TYPE,
P_CDCIA       IN COMPANHIA.CDCIA%TYPE,
P_CDMANCIA    IN MANUALCIA.CDMANCIA%TYPE,
P_CDSERCLACIC IN VARCHAR2,
P_CDSUBGRU    IN VARCHAR2
) AS

BEGIN
   FOR C_REC IN (SELECT DISTINCT CDRECEITA
                 FROM RECSUBSEMA RM
                 WHERE (CDFILIAL = P_CDFILIAL) AND
                       (CDCIA    = P_CDCIA   ) AND
                       (CDMANCIA = P_CDMANCIA) AND
                       (INSTR(NVL(P_CDSERCLACIC,CDSERVICO),CDSERVICO)>0) AND
                       (INSTR(NVL(P_CDSUBGRU,CDSUBGRU),CDSUBGRU)>0)) LOOP

    	CALC_NUTRI_REC(P_NRSEQNUTREC,P_CDFILIAL,P_CDCIA,C_REC.CDRECEITA,
                     C_REC.CDRECEITA);
   END LOOP;
END;
/

