/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_DIPD                                                     */
/* Tabela : DIETPADR                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_DIPD'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_DIPD
GO

CREATE TRIGGER DTULTATU_DIPD
ON DIETPADR
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'DIETPADR', null, 'CDDIETPAD=' + CDDIETPAD + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE DIETPADR
      SET DTULTATUDIPD = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(DIETPADR.CDDIETPAD ,0)   = ISNULL(INSERTED.CDDIETPAD ,0))   AND
            (ISNULL(DIETPADR.DSDIETPAD ,0)   = ISNULL(INSERTED.DSDIETPAD ,0))   AND
            (ISNULL(DIETPADR.IDTIPODIET,0)   = ISNULL(INSERTED.IDTIPODIET,0))   AND
            (ISNULL(DIETPADR.CDDIETGRUP,0)   = ISNULL(INSERTED.CDDIETGRUP,0))   AND
            (ISNULL(DIETPADR.IDFORMDIET,0)   = ISNULL(INSERTED.IDFORMDIET,0))   AND
            (ISNULL(DIETPADR.IDDIETAATIVA,0) = ISNULL(INSERTED.IDDIETAATIVA,0)) ;
   END;
END;
GO


